> ## Documentation Index
> Fetch the complete documentation index at: https://docs.creatify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Custom Avatar

> Mixin to provide a reusable `list` method for filtering and paginating queryset results.



## OpenAPI

````yaml delete /api/personas/{id}/
openapi: 3.0.3
info:
  title: creatify.ai API
  version: 1.0.0
  description: API for creatify.ai
servers: []
security: []
paths:
  /api/personas/{id}/:
    delete:
      tags:
        - personas
      description: >-
        Mixin to provide a reusable `list` method for filtering and paginating
        queryset results.
      operationId: personas_destroy
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          description: 'A UUID string identifying this Digital Human: Creator.'
          required: true
      responses:
        '204':
          description: No response body
      security:
        - X-API-ID: []
          X-API-KEY: []
components:
  securitySchemes:
    X-API-ID:
      type: apiKey
      in: header
      name: X-API-ID
      description: API ID, from your settings page.
    X-API-KEY:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API Key, from your settings page.

````